> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Issue Root Cause

> {status: assigned|review_pending|abstained|not_run, primary, secondary,
bones{prediction_set, coverage_level}, rationale, evidence_spans, origin,
provenance}. Human overrides (origin=human) always win over classifier
output and are never overwritten by a later classification run.



## OpenAPI

````yaml /openapi.json get /v1/issues/{issue_id}/root-cause
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/issues/{issue_id}/root-cause:
    get:
      tags:
        - issues
      summary: Get Issue Root Cause
      description: >-
        {status: assigned|review_pending|abstained|not_run, primary, secondary,

        bones{prediction_set, coverage_level}, rationale, evidence_spans,
        origin,

        provenance}. Human overrides (origin=human) always win over classifier

        output and are never overwritten by a later classification run.
      operationId: get_issue_root_cause_v1_issues__issue_id__root_cause_get
      parameters:
        - in: path
          name: issue_id
          required: true
          schema:
            title: Issue Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                additionalProperties: true
                title: >-
                  Response Get Issue Root Cause V1 Issues  Issue Id  Root Cause
                  Get
                type: object
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````